KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLHRElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Create a horizontal rule. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#edef-HR"> HR element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLHRElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | align (self)
bool | noShade (self)
| setAlign (self, DOM.DOMString a0)
| setNoShade (self, bool a0)
| setSize (self, DOM.DOMString a0)
| setWidth (self, DOM.DOMString a0)
DOM.DOMString | size (self)
DOM.DOMString | width (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLHRElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString align | ( |  | self ) |

Align the rule on the page. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-align-HR"> align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

bool noShade | ( |  | self ) |

Indicates to the user agent that there should be no shading in the rendering of this element. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-noshade"> noshade attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see align

setNoShade | ( | self, |
|  | bool | a0
| ) |  |  |

see noShade

setSize | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see size

setWidth | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see width

DOM.DOMString size | ( |  | self ) |

The height of the rule. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-size-HR"> size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

DOM.DOMString width | ( |  | self ) |

The width of the rule. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-width-HR"> width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.